=== source/Plugins/Process/FreeBSD/CMakeLists.txt ===
add_lldb_library(lldbPluginProcessFreeBSD
  NativeProcessFreeBSD.cpp
  NativeRegisterContextFreeBSD.cpp
  NativeRegisterContextFreeBSD_arm.cpp
  NativeRegisterContextFreeBSD_arm64.cpp
  NativeRegisterContextFreeBSD_mips64.cpp
  NativeRegisterContextFreeBSD_powerpc.cpp
  NativeRegisterContextFreeBSD_x86_64.cpp
  NativeThreadFreeBSD.cpp

  LINK_COMPONENTS
    Support
  LINK_LIBS
    lldbHost
    lldbSymbol
    lldbTarget
    lldbUtility
    lldbPluginProcessPOSIX
    lldbPluginProcessUtility
  )
