=== test/API/api/multiple-targets/Makefile ===
MAKE_DSYM := NO

ENABLE_THREADS := YES
CXX_SOURCES := main.cpp

include Makefile.rules
