=== test/API/functionalities/breakpoint/inlined_breakpoints/Makefile ===
CXX_SOURCES := int.cpp

include Makefile.rules
