=== test/API/functionalities/tail_call_frames/cross_object/Makefile ===
C_SOURCES := main.c One.c Two.c

CFLAGS_EXTRAS := -O2
include Makefile.rules
