=== test/API/lang/c/shared_lib/Makefile ===
DYLIB_NAME := foo
DYLIB_C_SOURCES := foo.c
C_SOURCES := main.c

include Makefile.rules
